Package com.ocient.jdbc.proto

# Class ClientWireProtocol.UpdateCache.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.UpdateCache.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.UpdateCache.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.UpdateCacheOrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.UpdateCache

    public static final class ClientWireProtocol.UpdateCache.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.UpdateCache.Builder>
    implements ClientWireProtocol.UpdateCacheOrBuilder

Protobuf type `xg.cmdcomp.UpdateCache`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ClientWireProtocol.UpdateCache.Builder` | `addAllEntry​(Iterable<? extends ClientWireProtocol.CacheEntry> values)` | `repeated .xg.cmdcomp.CacheEntry entry = 3;`
`ClientWireProtocol.UpdateCache.Builder` | `addEntry​(int index, ClientWireProtocol.CacheEntry value)` | `repeated .xg.cmdcomp.CacheEntry entry = 3;`
`ClientWireProtocol.UpdateCache.Builder` | `addEntry​(int index, ClientWireProtocol.CacheEntry.Builder builderForValue)` | `repeated .xg.cmdcomp.CacheEntry entry = 3;`
`ClientWireProtocol.UpdateCache.Builder` | `addEntry​(ClientWireProtocol.CacheEntry value)` | `repeated .xg.cmdcomp.CacheEntry entry = 3;`
`ClientWireProtocol.UpdateCache.Builder` | `addEntry​(ClientWireProtocol.CacheEntry.Builder builderForValue)` | `repeated .xg.cmdcomp.CacheEntry entry = 3;`
`ClientWireProtocol.CacheEntry.Builder` | `addEntryBuilder()` | `repeated .xg.cmdcomp.CacheEntry entry = 3;`
`ClientWireProtocol.CacheEntry.Builder` | `addEntryBuilder​(int index)` | `repeated .xg.cmdcomp.CacheEntry entry = 3;`
`ClientWireProtocol.UpdateCache.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.UpdateCache` | `build()` |
`ClientWireProtocol.UpdateCache` | `buildPartial()` |
`ClientWireProtocol.UpdateCache.Builder` | `clear()` |
`ClientWireProtocol.UpdateCache.Builder` | `clearClear()` | `bool clear = 2;`
`ClientWireProtocol.UpdateCache.Builder` | `clearEntry()` | `repeated .xg.cmdcomp.CacheEntry entry = 3;`
`ClientWireProtocol.UpdateCache.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`ClientWireProtocol.UpdateCache.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`ClientWireProtocol.UpdateCache.Builder` | `clearServerUuid()` | `string server_uuid = 1;`
`ClientWireProtocol.UpdateCache.Builder` | `clone()` |
`boolean` | `getClear()` | `bool clear = 2;`
`ClientWireProtocol.UpdateCache` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`ClientWireProtocol.CacheEntry` | `getEntry​(int index)` | `repeated .xg.cmdcomp.CacheEntry entry = 3;`
`ClientWireProtocol.CacheEntry.Builder` | `getEntryBuilder​(int index)` | `repeated .xg.cmdcomp.CacheEntry entry = 3;`
`List<ClientWireProtocol.CacheEntry.Builder>` | `getEntryBuilderList()` | `repeated .xg.cmdcomp.CacheEntry entry = 3;`
`int` | `getEntryCount()` | `repeated .xg.cmdcomp.CacheEntry entry = 3;`
`List<ClientWireProtocol.CacheEntry>` | `getEntryList()` | `repeated .xg.cmdcomp.CacheEntry entry = 3;`
`ClientWireProtocol.CacheEntryOrBuilder` | `getEntryOrBuilder​(int index)` | `repeated .xg.cmdcomp.CacheEntry entry = 3;`
`List<? extends ClientWireProtocol.CacheEntryOrBuilder>` | `getEntryOrBuilderList()` | `repeated .xg.cmdcomp.CacheEntry entry = 3;`
`String` | `getServerUuid()` | `string server_uuid = 1;`
`com.google.protobuf.ByteString` | `getServerUuidBytes()` | `string server_uuid = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`ClientWireProtocol.UpdateCache.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`ClientWireProtocol.UpdateCache.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`ClientWireProtocol.UpdateCache.Builder` | `mergeFrom​(ClientWireProtocol.UpdateCache other)` |
`ClientWireProtocol.UpdateCache.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`ClientWireProtocol.UpdateCache.Builder` | `removeEntry​(int index)` | `repeated .xg.cmdcomp.CacheEntry entry = 3;`
`ClientWireProtocol.UpdateCache.Builder` | `setClear​(boolean value)` | `bool clear = 2;`
`ClientWireProtocol.UpdateCache.Builder` | `setEntry​(int index, ClientWireProtocol.CacheEntry value)` | `repeated .xg.cmdcomp.CacheEntry entry = 3;`
`ClientWireProtocol.UpdateCache.Builder` | `setEntry​(int index, ClientWireProtocol.CacheEntry.Builder builderForValue)` | `repeated .xg.cmdcomp.CacheEntry entry = 3;`
`ClientWireProtocol.UpdateCache.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.UpdateCache.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`ClientWireProtocol.UpdateCache.Builder` | `setServerUuid​(String value)` | `string server_uuid = 1;`
`ClientWireProtocol.UpdateCache.Builder` | `setServerUuidBytes​(com.google.protobuf.ByteString value)` | `string server_uuid = 1;`
`ClientWireProtocol.UpdateCache.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.UpdateCache.Builder>`

### clear

public ClientWireProtocol.UpdateCache.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.UpdateCache.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.UpdateCache.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.UpdateCache getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public ClientWireProtocol.UpdateCache build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public ClientWireProtocol.UpdateCache buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public ClientWireProtocol.UpdateCache.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.UpdateCache.Builder>`

### setField

public ClientWireProtocol.UpdateCache.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.UpdateCache.Builder>`

### clearField

public ClientWireProtocol.UpdateCache.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.UpdateCache.Builder>`

### clearOneof

public ClientWireProtocol.UpdateCache.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.UpdateCache.Builder>`

### setRepeatedField

public ClientWireProtocol.UpdateCache.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.UpdateCache.Builder>`

### addRepeatedField

public ClientWireProtocol.UpdateCache.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.UpdateCache.Builder>`

### mergeFrom

public ClientWireProtocol.UpdateCache.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.UpdateCache.Builder>`

### mergeFrom

public ClientWireProtocol.UpdateCache.Builder mergeFrom​(ClientWireProtocol.UpdateCache other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.UpdateCache.Builder>`

### mergeFrom

public ClientWireProtocol.UpdateCache.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.UpdateCache.Builder>`
Throws:
  `IOException`

### getServerUuid

public String getServerUuid()
`string server_uuid = 1;`

Specified by:
  `getServerUuid` in interface `ClientWireProtocol.UpdateCacheOrBuilder`
Returns:
  The serverUuid.

### getServerUuidBytes

public com.google.protobuf.ByteString getServerUuidBytes()
`string server_uuid = 1;`

Specified by:
  `getServerUuidBytes` in interface `ClientWireProtocol.UpdateCacheOrBuilder`
Returns:
  The bytes for serverUuid.

### setServerUuid

public ClientWireProtocol.UpdateCache.Builder setServerUuid​(String value)
`string server_uuid = 1;`

Parameters:
  `value` - The serverUuid to set.
Returns:
  This builder for chaining.

### clearServerUuid

public ClientWireProtocol.UpdateCache.Builder clearServerUuid()
`string server_uuid = 1;`

Returns:
  This builder for chaining.

### setServerUuidBytes

public ClientWireProtocol.UpdateCache.Builder setServerUuidBytes​(com.google.protobuf.ByteString value)
`string server_uuid = 1;`

Parameters:
  `value` - The bytes for serverUuid to set.
Returns:
  This builder for chaining.

### getClear

public boolean getClear()
`bool clear = 2;`

Specified by:
  `getClear` in interface `ClientWireProtocol.UpdateCacheOrBuilder`
Returns:
  The clear.

### setClear

public ClientWireProtocol.UpdateCache.Builder setClear​(boolean value)
`bool clear = 2;`

Parameters:
  `value` - The clear to set.
Returns:
  This builder for chaining.

### clearClear

public ClientWireProtocol.UpdateCache.Builder clearClear()
`bool clear = 2;`

Returns:
  This builder for chaining.

### getEntryList

public List<ClientWireProtocol.CacheEntry> getEntryList()
`repeated .xg.cmdcomp.CacheEntry entry = 3;`

Specified by:
  `getEntryList` in interface `ClientWireProtocol.UpdateCacheOrBuilder`

### getEntryCount

public int getEntryCount()
`repeated .xg.cmdcomp.CacheEntry entry = 3;`

Specified by:
  `getEntryCount` in interface `ClientWireProtocol.UpdateCacheOrBuilder`

### getEntry

public ClientWireProtocol.CacheEntry getEntry​(int index)
`repeated .xg.cmdcomp.CacheEntry entry = 3;`

Specified by:
  `getEntry` in interface `ClientWireProtocol.UpdateCacheOrBuilder`

### setEntry

public ClientWireProtocol.UpdateCache.Builder setEntry​(int index, ClientWireProtocol.CacheEntry value)
`repeated .xg.cmdcomp.CacheEntry entry = 3;`

### setEntry

public ClientWireProtocol.UpdateCache.Builder setEntry​(int index, ClientWireProtocol.CacheEntry.Builder builderForValue)
`repeated .xg.cmdcomp.CacheEntry entry = 3;`

### addEntry

public ClientWireProtocol.UpdateCache.Builder addEntry​(ClientWireProtocol.CacheEntry value)
`repeated .xg.cmdcomp.CacheEntry entry = 3;`

### addEntry

public ClientWireProtocol.UpdateCache.Builder addEntry​(int index, ClientWireProtocol.CacheEntry value)
`repeated .xg.cmdcomp.CacheEntry entry = 3;`

### addEntry

public ClientWireProtocol.UpdateCache.Builder addEntry​(ClientWireProtocol.CacheEntry.Builder builderForValue)
`repeated .xg.cmdcomp.CacheEntry entry = 3;`

### addEntry

public ClientWireProtocol.UpdateCache.Builder addEntry​(int index, ClientWireProtocol.CacheEntry.Builder builderForValue)
`repeated .xg.cmdcomp.CacheEntry entry = 3;`

### addAllEntry

public ClientWireProtocol.UpdateCache.Builder addAllEntry​(Iterable<? extends ClientWireProtocol.CacheEntry> values)
`repeated .xg.cmdcomp.CacheEntry entry = 3;`

### clearEntry

public ClientWireProtocol.UpdateCache.Builder clearEntry()
`repeated .xg.cmdcomp.CacheEntry entry = 3;`

### removeEntry

public ClientWireProtocol.UpdateCache.Builder removeEntry​(int index)
`repeated .xg.cmdcomp.CacheEntry entry = 3;`

### getEntryBuilder

public ClientWireProtocol.CacheEntry.Builder getEntryBuilder​(int index)
`repeated .xg.cmdcomp.CacheEntry entry = 3;`

### getEntryOrBuilder

public ClientWireProtocol.CacheEntryOrBuilder getEntryOrBuilder​(int index)
`repeated .xg.cmdcomp.CacheEntry entry = 3;`

Specified by:
  `getEntryOrBuilder` in interface `ClientWireProtocol.UpdateCacheOrBuilder`

### getEntryOrBuilderList

public List<? extends ClientWireProtocol.CacheEntryOrBuilder> getEntryOrBuilderList()
`repeated .xg.cmdcomp.CacheEntry entry = 3;`

Specified by:
  `getEntryOrBuilderList` in interface `ClientWireProtocol.UpdateCacheOrBuilder`

### addEntryBuilder

public ClientWireProtocol.CacheEntry.Builder addEntryBuilder()
`repeated .xg.cmdcomp.CacheEntry entry = 3;`

### addEntryBuilder

public ClientWireProtocol.CacheEntry.Builder addEntryBuilder​(int index)
`repeated .xg.cmdcomp.CacheEntry entry = 3;`

### getEntryBuilderList

public List<ClientWireProtocol.CacheEntry.Builder> getEntryBuilderList()
`repeated .xg.cmdcomp.CacheEntry entry = 3;`

### setUnknownFields

public final ClientWireProtocol.UpdateCache.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.UpdateCache.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.UpdateCache.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.UpdateCache.Builder>`